<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Configuring Poshc2 Framework — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `configure --payload-type <val> --comms <val>` | Configure PoshC2 implant |
| `generate --type <val> --obfuscation <val>` | Generate PoshC2 payload |
| `deploy --target <val>` | Deploy PoshC2 implant |
| `verify --component <val>` | Verify PoshC2 components |
| `report --format <val>` | Generate PoshC2 report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--payload-type` | string | Yes | Payload Type parameter |
| `--comms` | string | Yes | Comms parameter |
| `--type` | string | Yes | Type parameter |
| `--obfuscation` | string | Yes | Obfuscation parameter |
| `--target` | string | Yes | Target parameter |
| `--component` | string | Yes | Component parameter |
| `--format` | string | Yes | Format parameter |
